<?php

function get_recent_comments($no_comments = 5, $comment_lenth = 5, $before = '<li>', $after = '</li>', $show_pass_post = false) {
        global $wpdb, $tablecomments, $tableposts;
        $request = "SELECT ID, comment_ID, comment_content, comment_author, comment_type FROM $tableposts, $tablecomments WHERE $tableposts.ID=$tablecomments.comment_post_ID AND post_status = 'publish' AND comment_type = ''";
        if(!$show_pass_post) { $request .= "AND post_password ='' "; }
        $request .= "AND comment_approved = '1' ORDER BY $tablecomments.comment_date DESC LIMIT $no_comments";
        $comments = $wpdb->get_results($request);
        $output = '';
	if (!$comments) {return;}
	$first=1;
        foreach ($comments as $comment) {
                $comment_author = stripslashes($comment->comment_author);
                $comment_content = strip_tags($comment->comment_content);
                $comment_content = stripslashes($comment_content);
                $words=split(" ",$comment_content);
                $comment_excerpt = join(" ",array_slice($words,0,$comment_lenth));
                $permalink = get_permalink($comment->ID)."#comment-".$comment->comment_ID;

                	$output .= $before . '<a href="' . $permalink . '">' . $comment_author . '</a>:';
                $output .= ' ' . $comment_excerpt . $after;
            }
        echo $output;
}

$themename = "isLamp";
$shortname = "il";
$options = array (

	array(	"name" => "Asides Category Id",
			"id" => $shortname."_asides_cat",
			"std" => "17",
			"type" => "text"),

	array(	"name" => "More than one author",
			"type" => "select",
			"id" => $shortname."_more_authors",
			"std" => "True",
			"options" => array("True", "False")),
	
	array(	"name" => "Content Backgound Color",
			"id" => $shortname."_content_color",
			"std" => "#222",
			"type" => "text"),

	array(	"name" => "Header: Left, Darker",
			"id" => $shortname."_head_left",
			"std" => get_bloginfo('name'),
			"type" => "text"),

	array(	"name" => "Header: Right, Lighter",
			"id" => $shortname."_head_right",
			"std" => ".com",
			"type" => "text"),
	
	array(	"name" => "Welcome Content",
			"id" => $shortname."_welcome",
			"std" => "Like the design? It's new, and improving, as time progresses. It is partially inspired by <a href=\"http://is.derekpunsalan.com\">Derek</a>, and other simplistic designs around the web. Check back for updates, along with the <a href=\"http://aslamp.com/projects\">Projects</a>, to see any new releases.",
			"type" => "textarea"),
			
	array(	"name" => "http://twitter.com/",
			"id" => $shortname."_twitter",
			"std" => "aslamp",
			"type" => "text"),

	array(	"name" => "Right Header Content",
			"id" => $shortname."_rhead",
			"std" => get_bloginfo('description'),
			"type" => "textarea"),

);

function mytheme_add_admin() {

	global $themename, $shortname, $options;

	if ( $_GET['page'] == basename(__FILE__) ) {
	
		if ( 'save' == $_REQUEST['action'] ) {

				foreach ($options as $value) {
					update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }

				foreach ($options as $value) {
					if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }

				header("Location: themes.php?page=functions.php&saved=true");
				die;

		} else if( 'reset' == $_REQUEST['action'] ) {

			foreach ($options as $value) {
				delete_option( $value['id'] ); }

			header("Location: themes.php?page=functions.php&reset=true");
			die;

		}
	}

    add_theme_page($themename." Options", "Current Theme Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');

}

function mytheme_admin() {

	global $themename, $shortname, $options;

	if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
	if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
	
?>
<div class="wrap">
<h2><?php echo $themename; ?> settings</h2>

<form method="post">

<table class="optiontable">

<?php foreach ($options as $value) { 
	
if ($value['type'] == "text") { ?>
		
<tr valign="top"> 
	<th scope="row"><?php echo $value['name']; ?>:</th>
	<td>
		<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
	</td>
</tr>

<?php } elseif ($value['type'] == "select") { ?>

	<tr valign="top"> 
		<th scope="row"><?php echo $value['name']; ?>:</th>
		<td>
			<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
				<?php foreach ($value['options'] as $option) { ?>
				<option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
				<?php } ?>
			</select>
		</td>
	</tr>

<?php } elseif ($value['type'] == "textarea") { ?>

<tr valign="top"> 
	<th scope="row"><?php echo $value['name']; ?>:</th>
	<td>
		<textarea rows="7" cols="75" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>"><?php if ( get_settings( $value['id'] ) != "") { echo stripslashes( get_settings( $value['id'] ) ); } else { echo stripslashes($value['std']); } ?></textarea>
	</td>
</tr>

<?php 
} 

}
?>

</table>

<p class="submit">
<input name="save" type="submit" value="Save changes" />	
<input type="hidden" name="action" value="save" />
</p>
</form>
<form method="post">
<p class="submit">
<input name="reset" type="submit" value="Reset" />
<input type="hidden" name="action" value="reset" />
</p>
</form>

<?php
}

function mytheme_wp_head() { ?>
<link href="<?php bloginfo('template_directory'); ?>/style.php" rel="stylesheet" type="text/css" />
<?php }

if ( function_exists('register_sidebars') )
	register_sidebars(1);

add_action('wp_head', 'mytheme_wp_head');
add_action('admin_menu', 'mytheme_add_admin'); ?>